import { EventEmitter } from '../../stencil.core';
import { DrawerChangeEvent } from '../../types/types';
export declare class Drawer {
    private contentEl;
    private triggerEl;
    element: HTMLElement;
    active: boolean;
    /**
     * Fires when the checked state of checkbox is changed
     */
    anjDrawerChange: EventEmitter<DrawerChangeEvent>;
    onKeyDown(event: KeyboardEvent): Promise<void>;
    onTransitionEnd(event: TransitionEvent): void;
    /**
     * Close the drawer
     */
    close(): Promise<void>;
    /**
     * Open the drawer
     */
    open(): Promise<void>;
    /**
     * Toggle the drawer
     */
    toggle(): Promise<void>;
    private emitChange;
    render(): any;
}
